Need help with python component

i have made thes two adjustable lofts and now I would like to add a top and a bottom surface. These surfaces should be made from the edges of the two lofts.

  1. how do I get these two surfaces?

  2. how do I get the closed volume of all 4 surfaces?

thx 4 help

You could make new lofts between the curves you used for surface 1 and 2 and then in the end stitch everything together.

Btw: when asking help pls post the code and/or file instead of only a screenshot. See also this

thx,… worked

i am so 1 dimensional in my thinking. :wink:

If I have now a second object within the python module that should be substracted from the first one with boleandifference. How must i write the code.

I do not understand what is written in the example-file:

import rhinoscriptsyntax as rs
| filter = rs.filter.surface | rs.filter.polysurface
| input0 = rs.GetObjects(“Select first set of surfaces or polysurfaces”, filter)
| if input0:
| input1 = rs.GetObjects(“Select second set of surfaces or polysurfaces”, filter)
| if input1: rs.BooleanDifference(input0, input1)

so,… if I have two objects obj1 and obj2

what would be the appropriate script for the boleandifference?

import Rhino
tol = Rhino.RhinoDoc.ActiveDoc.ModelAbsoluteTolerance
breps = Rhino.Geometry.Brep.CreateBooleanDifference(A,B, tol)
result=[brep for brep in breps]

ps: A and B are lists

but: if possible avoid booleans, they are relatively slow

many thx.
I followed your advice and did it without boleans.